---
  # main docker tasks

- include: "install-xenial-ce.yml"
  when: ansible_distribution_release == "xenial"
  become: true

- include: "fstab.yml"

- name: symlinks
  file:
    state: link
    src:  "{{ item.src }}"
    path: "{{ item.path }}"
    force: yes
  with_items:
    - { src: "/opt/shared/letsencrypt", path: "/etc/letsencrypt" }

- name: setup owncloud cron job
  cron:
    name: owncloud
    state: absent
    user: www-data
    day: "*/15"
    job: "curl -k https://xaibox.xai-corp.net/cron.php"

- include: glusterfs-volume-driver.yml
